#
# spec file for package hardlink
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hardlink
Summary:        Create a tree of hardlinks
License:        GPL-2.0+
Group:          System/Base
Version:        1.0
Release:        9.4
Url:            http://pkgs.fedoraproject.org/gitweb/?p=hardlink.git
Source0:        hardlink.c
Source1:        hardlink.1
Source2:        COPYING
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
hardlink is used to create a tree of hard links. It's used by kernel
installation to dramatically reduce the amount of diskspace used by
each kernel package installed.



%prep
%setup -q -c -T

install -pm 644 %{SOURCE0} hardlink.c

%build

gcc $RPM_OPT_FLAGS hardlink.c -o hardlink

%install
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/hardlink.1
install -D -m 755 hardlink $RPM_BUILD_ROOT%{_sbindir}/hardlink

%files
%defattr(-,root,root,-)
%{_sbindir}/hardlink
%doc %{_mandir}/man1/hardlink.1*

%changelog
* Wed Nov 13 2013 sweet_f_a@gmx.de
- Mention -f option in the man page (pulled from upstream)
* Tue Jul 31 2012 fcrozat@suse.com
- Remove yaml file (leftover from Meego)
- cleanup specfile
- add a copy of GPLv2
* Mon Jul 23 2012 fcrozat@suse.com
- Update package url section
- Update manpage to add bugs section
- Update code to latest version:
  + fix possible buffer overflows, integer overflows
    (CVE-2011-3630 CVE-2011-3631 CVE-2011-3632)
  + do not allow to hardlink files across filesystems by default
    (rh#786719) (use -f option to override)
  + don't use mmap(2) to avoid failure on u386 with 1GB files or
    larger (rh#672917)
* Mon Jun 28 2010 kkaempf@novell.com
- added "BuildRoot: %%{_tmppath}/%%{name}-%%{version}-%%{release}-root"
* Sun Mar  7 2010 Anas Nashif <anas.nashif@intel.com> - 1.0
- Remove epoch
* Mon Feb 22 2010 Anas Nashif <anas.nashif@intel.com> - 1.0
- Update Group
* Tue Feb 16 2010 Anas Nashif <anas.nashif@intel.com> - 1.0
- Updated yaml and sanitized spec
* Wed Aug 12 2009 Anas Nashif <anas.nashif@intel.com> - 1.0
- Initial import into Moblin
